# Activate a Gift Card on a Reader Initiates a gift card activation flow on a Reader and optionally sets its balance. ## Request ```curl curl https://api.stripe.com/v1/terminal/readers/{{READER_ID}}/activate_gift_card \ -u "<>" \ -d brand=svs \ -d "balance[amount]=5000" \ -d "balance[currency]=usd" ``` ### Response ```json { "id": "tmr_GkoLBwI8ngxx08", "object": "terminal.reader", "action": { "activate_gift_card": {}, "api_error": null, "failure_code": null, "failure_message": null, "status": "in_progress", "type": "activate_gift_card" }, "device_sw_version": "", "device_type": "simulated_wisepos_e", "ip_address": "0.0.0.0", "label": "simulated-wpe-e448e0d1-388f-40cd-b30f-ca82de03ced6", "last_seen_at": 1783521571548, "livemode": false, "location": "tml_GczOlAw6Yx2UMe", "metadata": {}, "serial_number": "e448e0d1-388f-40cd-b30f-ca82de03ced6", "status": "online" } ``` ## Returns Returns an updated `Reader` resource. ## Parameters - `brand` (enum, required) The brand of the gift card. Possible enum values: - `svs` SVS gift card. - `balance` (object, optional) The initial balance to set on the gift card. - `balance.amount` (integer, required) The initial balance amount to be loaded when activating the gift card, in the smallest currency unit - `balance.currency` (enum, required) Three-letter [ISO currency code](https://www.iso.org/iso-4217-currency-codes.html), in lowercase. Must be a [supported currency](https://docs.stripe.com/currencies.md). - `on_behalf_of` (string, optional) The Stripe account ID to process the gift card operation on behalf of.